﻿.container {
    display: flex;
    justify-content: center; /* Центрирование по горизонтали */
    align-items: center; /* Центрирование по вертикали */
    height: 70vh; /* Высота 100% от высоты окна */
    margin: 0; /* Убираем отступы */
}

.Group_1188 {
    /*max-width: 734px;*/
    display: flex;
}

.Group_1186 {
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    margin-left: 30px;
}

.Sorry {
    max-width: 437px;
    font-family: "Roboto-Regular";
    font-style: normal;
    font-weight: 700;
    font-size: 32px;
    color: #DDDDDD;
}

.Little_sorry {
    max-width: 421px;
    font-family: "Roboto-Regular";
    font-style: normal;
    font-weight: 400;
    font-size: 20px;
    line-height: 23px;
    color: #DDDDDD;
}

footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    height: 100px;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    padding: 32px 32px;
    user-select: none;
    max-width: 1240px;
}
.vector_404 {
    padding: 10px;
}

@media screen and (max-width: 850px) {
    .Group_1186 {
        margin-left: 10px;
    }
    .vector {
        width: 300px;
        height: 300px;
    }
    .vector_404 {
        width: 300px;
        /*height: 300px;*/
    }
}

@media screen and (max-width: 700px) {
    .Group_1186 {
        margin-left: 10px;
    }

    .Sorry {
        max-width: 390px;
        font-size: 26px;
    }

    .Little_sorry {
        max-width: 320px;
        font-size: 18px;
    }

    .vector {
        width: 200px;
        height: 200px;
    }
    .vector_404 {
        width: 250px;
        /*height: 200px;*/
    }
}

@media screen and (max-width: 580px) {
    .Group_1186 {
        margin-left: 10px;
    }

    .Sorry {
        max-width: 300px;
        font-size: 22px;
    }

    .Little_sorry {
        max-width: 250px;
        font-size: 14px;
        line-height: 18px;
    }

    .vector {
        width: 150px;
        height: 150px;
    }
    .vector_404 {
        width: 150px;
        height: 150px;
    }
}

@media screen and (max-width: 450px) {
    .Group_1186 {
        padding: 10px;
        margin-left: 0px;
    }

    .Sorry {
        max-width: 390px;
        font-size: 22px;
    }

    .Little_sorry {
        max-width: 320px;
        font-size: 14px;
        line-height: 18px;
    }

    .vector {
        width: 150px;
        height: 150px;
    }
    .vector_404 {
        width: 150px;
        height: 150px;
    }
}

@media screen and (max-width: 380px) {
    .Group_1186 {
        padding: 10px;
        margin-left: 0px;
    }

    .Sorry {
        max-width: 390px;
        font-size: 22px;
    }

    .Little_sorry {
        max-width: 320px;
        font-size: 14px;
        line-height: 18px;
    }

    .vector {
        width: 135px;
        height: 135px;
    }
    .vector_404 {
        width: 155px;
        height: 135px;
    }
}
